Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SocketPortAllocation

    java.lang.Object
      org.pentaho.di.www.SocketPortAllocation

    public class SocketPortAllocation

extends Object

Constructor Summary
`SocketPortAllocation(int port, Date lastRequested, String transformationName, String sourceSlaveName, String sourceStepName, String sourceStepCopy, String targetSlaveName, String targetStepName, String targetStepCopy)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getLastRequested()`
`int` | `getPort()`
`String` | `getSourceSlaveName()`
`String` | `getSourceStepCopy()`
`String` | `getSourceStepName()`
`String` | `getTargetSlaveName()`
`String` | `getTargetStepCopy()`
`String` | `getTargetStepName()`
`String` | `getTransformationName()`
`int` | `hashCode()`
`boolean` | `isAllocated()`
`void` | `setAllocated(boolean allocated)`
`void` | `setLastRequested(Date lastRequested)`
`void` | `setPort(int port)`
`void` | `setSourceSlaveName(String sourceSlaveName)`
`void` | `setSourceStepCopy(String sourceStepCopy)`
`void` | `setSourceStepName(String sourceStepName)`
`void` | `setTargetSlaveName(String targetSlaveName)`
`void` | `setTargetStepCopy(String targetStepCopy)`
`void` | `setTargetStepName(String targetStepName)`
`void` | `setTransformationName(String transformationName)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketPortAllocation

    public SocketPortAllocation(int port,
                                Date lastRequested,
                                String transformationName,
                                String sourceSlaveName,
                                String sourceStepName,
                                String sourceStepCopy,
                                String targetSlaveName,
                                String targetStepName,
                                String targetStepCopy)

Parameters:
  `port` -
  `lastRequested` -
  `slaveName` -
  `transformationName` -
  `sourceStepName` -
  `sourceStepCopy` -

Method Detail

### getPort

    public int getPort()

  Returns:
    the port

### setPort

    public void setPort(int port)

  Parameters:
    `port` - the port to set

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getLastRequested

    public Date getLastRequested()

  Returns:
    the lastRequested

### setLastRequested

    public void setLastRequested(Date lastRequested)

  Parameters:
    `lastRequested` - the lastRequested to set

### getTransformationName

    public String getTransformationName()

  Returns:
    the transformationName

### setTransformationName

    public void setTransformationName(String transformationName)

  Parameters:
    `transformationName` - the transformationName to set

### isAllocated

    public boolean isAllocated()

  Returns:
    the allocated

### setAllocated

    public void setAllocated(boolean allocated)

  Parameters:
    `allocated` - the allocated to set

### getSourceStepName

    public String getSourceStepName()

  Returns:
    the sourceStepName

### setSourceStepName

    public void setSourceStepName(String sourceStepName)

  Parameters:
    `sourceStepName` - the sourceStepName to set

### getSourceStepCopy

    public String getSourceStepCopy()

  Returns:
    the sourceStepCopy

### setSourceStepCopy

    public void setSourceStepCopy(String sourceStepCopy)

  Parameters:
    `sourceStepCopy` - the sourceStepCopy to set

### getTargetStepName

    public String getTargetStepName()

  Returns:
    the targetStepName

### setTargetStepName

    public void setTargetStepName(String targetStepName)

  Parameters:
    `targetStepName` - the targetStepName to set

### getTargetStepCopy

    public String getTargetStepCopy()

  Returns:
    the targetStepCopy

### setTargetStepCopy

    public void setTargetStepCopy(String targetStepCopy)

  Parameters:
    `targetStepCopy` - the targetStepCopy to set

### getSourceSlaveName

    public String getSourceSlaveName()

  Returns:
    the sourceSlaveName

### setSourceSlaveName

    public void setSourceSlaveName(String sourceSlaveName)

  Parameters:
    `sourceSlaveName` - the sourceSlaveName to set

### getTargetSlaveName

    public String getTargetSlaveName()

  Returns:
    the targetSlaveName

### setTargetSlaveName

    public void setTargetSlaveName(String targetSlaveName)

  Parameters:
    `targetSlaveName` - the targetSlaveName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD